<?php

use WpBookingPro\Factory;
use WpBookingPro\Language\Text;
use WpBookingPro\Mvc\Model\Model;
use WpBookingPro\Utilities\Utility;
use WpBookingProAdmin\app\helpers\EmailHelper;

defined('_WPBOOKINGPRO_EXEC') or die;
extract($displayData);

$id_by_name = "element_field_". $name;
$data = $displayData['field']->getForm()->getData();
$list_email_type=EmailHelper::get_list_email_type();
?>
    <div id="<?php esc_attr_e($id_by_name) ?>" class="<?php esc_attr_e($class); ?> field-emailtype">
        <select name="<?php esc_attr_e($name); ?>"
                class="form-control list-emailtype">
            <option value=""> <?php esc_attr_e('select email type','wpbookingpro')?></option>
            <?php foreach ($list_email_type as $item) { ?>
                <option <?php echo (EmailHelper::check_in_array_mail_type($value) ? " selected " : "") ?>
                        value="<?php esc_attr_e($item->type); ?>"><?php esc_html_e($item->description); ?></option>
            <?php } ?>
        </select>
    </div>
<?php
$doc = Factory::getDocument();
$doc->addScriptApplySelector('.field-emailtype','field_emailtype',array(
),'admin/app/layouts/WooBooking/form/field/emailtype/emailtype.jquery.js');